Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.PaneBeforeDockEventArgs=function(){
Telerik.Web.UI.PaneBeforeDockEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneBeforeDockEventArgs.prototype={};
Telerik.Web.UI.PaneBeforeDockEventArgs.registerClass("Telerik.Web.UI.PaneBeforeDockEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.PaneDockedEventArgs=function(){
Telerik.Web.UI.PaneDockedEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneDockedEventArgs.prototype={};
Telerik.Web.UI.PaneDockedEventArgs.registerClass("Telerik.Web.UI.PaneDockedEventArgs",Sys.EventArgs);
Telerik.Web.UI.PaneBeforeUndockEventArgs=function(){
Telerik.Web.UI.PaneBeforeUndockEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneBeforeUndockEventArgs.prototype={};
Telerik.Web.UI.PaneBeforeUndockEventArgs.registerClass("Telerik.Web.UI.PaneBeforeUndockEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.PaneUndockedEventArgs=function(){
Telerik.Web.UI.PaneUndockedEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneUndockedEventArgs.prototype={};
Telerik.Web.UI.PaneUndockedEventArgs.registerClass("Telerik.Web.UI.PaneUndockedEventArgs",Sys.EventArgs);
Telerik.Web.UI.RadSlidingPane=function(_1){
Telerik.Web.UI.RadSlidingPane.initializeBase(this,[_1]);
this._title="";
this._enableResize=true;
this._enableDock=true;
this._parentPane=null;
this._resizeBarSize=4;
this._slideBorderSize=0;
this._isExpanded=false;
this._isDocked=false;
this._width=150;
this._height=150;
this._minWidth=60;
this._minHeight=60;
this.popupBehavior=null;
};
Telerik.Web.UI.RadSlidingPane.prototype={initialize:function(){
Telerik.Web.UI.RadSlidingPane.callBaseMethod(this,"initialize");
var _2=this.get_parent();
_2._addPane(this);
var _3=this.getTabContainer();
$addHandlers(_3,{"mousedown":_2._paneTab_OnMouseDown,"mouseover":_2._paneTab_OnMouseOver,"mouseout":_2._paneTab_OnMouseOut},_2);
var _4=this.get_element();
$addHandlers(_4,{"mouseover":this._slidingContainer_OnMouseOver,"mouseout":this._slidingContainer_OnMouseOut},this);
var _5=this.getSlidingPaneResizeContainer();
$addHandlers(_5,{"mouseover":this._resizeSlidePane_OnMouseOver,"mouseout":this._resizeSlidePane_OnMouseOut,"mousedown":this._resizeSlidePane_OnMouseDown},this);
_5.setAttribute("unselectable","on");
var _6=this.getDockIconElement();
$addHandlers(_6,{"mouseover":this._dockElement_OnMouseOver,"mouseout":this._dockElement_OnMouseOut,"mousedown":this._dockElement_OnMouseDown},this);
var _7=this.getUndockIconElement();
$addHandlers(_7,{"mouseover":this._undockElement_OnMouseOver,"mouseout":this._undockElement_OnMouseOut,"mousedown":this._undockElement_OnMouseDown},this);
var _8=this.getCollapseIconElement();
$addHandlers(_8,{"mouseover":this._collapseElement_OnMouseOver,"mouseout":this._collapseElement_OnMouseOut,"mousedown":this._collapseElement_OnMouseDown},this);
if(!$telerik.isIE&&_2._isHorizontalSlide()){
var _9=this._getTitleContainerElement();
if(_9!=null){
_9.style.lineHeight=1;
_9.innerHTML=this._title.split("").join("<br/>");
}
}
this.updateClientState();
},dispose:function(){
if(this._popupBehavior){
this._popupBehavior.dispose();
this._popupBehavior=null;
}
var _a=this.getTabContainer();
$clearHandlers(_a);
var _b=this.get_element();
$clearHandlers(_b);
var _c=this.getSlidingPaneResizeContainer();
$clearHandlers(_c);
var _d=this.getDockIconElement();
$clearHandlers(_d);
var _e=this.getUndockIconElement();
$clearHandlers(_e);
var _f=this.getCollapseIconElement();
$clearHandlers(_f);
Telerik.Web.UI.RadSlidingPane.callBaseMethod(this,"dispose");
},get_enableResize:function(){
return this._enableResize;
},set_enableResize:function(_10){
this._enableResize=_10;
this.updateClientState();
},get_enableDock:function(){
return this._enableDock;
},set_enableDock:function(_11){
this._enableDock=_11;
this.updateClientState();
},set_title:function(_12){
this._title=_12;
var _13=this._getTitleContainerElement();
if(_13!=null){
if(this.get_parent()){
if(!$telerik.isIE&&this.get_parent()._isHorizontalSlide()){
_13.style.lineHeight=1;
_13.innerHTML=this._title.split("").join("<br/>");
}else{
_13.innerHTML=this._title;
}
}
}
var _14=this.getSlidingContainerTitle();
if(_14){
_14.innerHTML=this._title;
}
this.updateClientState();
},get_title:function(){
return this._title;
},get_expanded:function(){
return this._isExpanded;
},get_docked:function(){
return this._isDocked;
},get_parentPane:function(){
return this._parentPane;
},set_parentPane:function(_15){
this._parentPane=_15;
},add_docked:function(_16){
this.get_events().addHandler("docked",_16);
},remove_docked:function(_17){
this.get_events().removeHandler("docked",_17);
},add_undocked:function(_18){
this.get_events().addHandler("undocked",_18);
},remove_undocked:function(_19){
this.get_events().removeHandler("undocked",_19);
},add_beforeDock:function(_1a){
this.get_events().addHandler("beforeDock",_1a);
},remove_beforeDock:function(_1b){
this.get_events().removeHandler("beforeDock",_1b);
},add_beforeUndock:function(_1c){
this.get_events().addHandler("beforeUndock",_1c);
},remove_beforeUndock:function(_1d){
this.get_events().removeHandler("beforePaneUndocked",_1d);
},getContentContainer:function(){
return $get("RAD_SLIDING_PANE_CONTENT_"+this.get_id());
},get_pane:function(){
return this.get_parentPane().get_element();
},get_paneBounds:function(){
var _1e=this.get_pane();
return $telerik.getBounds(_1e);
},_show:function(x,y){
this._popupBehavior.set_x(x);
this._popupBehavior.set_y(y);
this._popupBehavior.show();
},get_slidingPaneBounds:function(){
var _21=this.get_element();
var _22=_21.parentNode;
var _23=(_21.style.display=="none")?true:false;
_22.style.display="";
if(!_23){
_22.style.visibility="hidden";
}
$telerik.setVisible(_21,true);
this._setSlidingContainerSize();
var _24=$telerik.getBounds(_21);
if(_23){
_22.style.display="none";
}
return _24;
},_fixIeHeight:function(_25,_26){
if("CSS1Compat"==document.compatMode){
var _27=(_25.offsetHeight-parseInt(_26));
if(_27>0){
var _28=(parseInt(_25.style.height)-_27);
if(_28>0){
_25.style.height=_28+"px";
}
}
}
},getContent:function(){
var _29=this.getContentContainer();
return _29.innerHTML;
},setContent:function(_2a){
var _2b=this.getContentContainer();
_2b.innerHTML=_2a;
},getDockIconElement:function(){
return $get("RAD_SPLITTER_SLIDING_PANE_DOCK_"+this.get_id());
},getDockIconWrapperElement:function(){
return this.getDockIconElement().parentNode;
},getUndockIconElement:function(){
return $get("RAD_SPLITTER_SLIDING_PANE_UNDOCK_"+this.get_id());
},getUnDockIconWrapperElement:function(){
return this.getUndockIconElement().parentNode;
},getCollapseIconElement:function(){
return $get("RAD_SPLITTER_SLIDING_PANE_COLLAPSE_"+this.get_id());
},getCollapseIconWrapperElement:function(){
return this.getCollapseIconElement().parentNode;
},getSlidingContainerTitle:function(){
return $get("RAD_SPLITTER_SLIDING_TITLE_"+this.get_id());
},getSlidingPaneResizeContainer:function(){
return $get("RAD_SPLITTER_SLIDING_ZONE_RESIZE_"+this.get_id());
},getTabContainer:function(){
return $get("RAD_SLIDING_PANE_TAB_"+this.get_id());
},hideTab:function(){
var _2c=this.getTabContainer();
if(_2c==null){
return;
}
_2c.style.display="none";
},showTab:function(){
var _2d=this.getTabContainer();
if(_2d==null){
return;
}
_2d.style.display="";
},isTabDisplayed:function(){
var _2e=this.getTabContainer();
if(_2e==null){
return false;
}
return (_2e.style.display!="none");
},_setTabDefaultState:function(){
var _2f=this.getTabContainer();
if(_2f==null){
return false;
}
_2f.className="paneTabContainer";
},_setTabDockedState:function(){
var _30=this.getTabContainer();
if(_30==null){
return false;
}
_30.className="paneTabContainerDocked";
},_setTabExpandedState:function(){
var _31=this.getTabContainer();
if(_31==null){
return false;
}
_31.className="paneTabContainerExpanded";
},_resizeSlidePane_OnMouseOver:function(e){
var _33=this.getSlidingPaneResizeContainer();
_33.className=(this.get_parent()._isHorizontalSlide())?"slideContainerResizeOver":"slideContainerResizeOverHorizontal";
},_resizeSlidePane_OnMouseOut:function(e){
var _35=this.getSlidingPaneResizeContainer();
_35.className=(this.get_parent()._isHorizontalSlide())?"slideContainerResize":"slideContainerResizeHorizontal";
},_resizeSlidePane_OnMouseDown:function(e){
e.preventDefault();
e.stopPropagation();
var _37=this.get_parent();
var _38=_37._isHorizontalSlide();
this._maxDecreaseDelta=(_38)?this.get_width()-this.get_minWidth():this.get_height()-this.get_minHeight();
var _39=(_38)?this.get_maxWidth()-this.get_width():this.get_maxHeight()-this.get_height();
var _3a=this.get_parentPane();
var _3b=_3a._getAvailIncreaseDelta();
var _3c=this.get_splitter()._getAvailDecreaseDelta(_3a._indexInPanes,Telerik.Web.UI.SplitterDirection.Forward);
var _3d=Math.min(_3c,_3b);
var _3e=_37.get_dockedPaneId();
if(_3e!=null){
var _3f=_37.getPaneById(_3e);
_3d+=(_38)?_3f.get_width():_3f.get_height();
}
_3d-=(_38)?this.get_width():this.get_height();
this._maxIncreaseDelta=Math.min(_39,_3d);
if(_37.isLeftDirection()||_37.isTopDirection()){
var t=this._maxIncreaseDelta;
this._maxIncreaseDelta=this._maxDecreaseDelta;
this._maxDecreaseDelta=t;
}
var _41=this.getSlidingPaneResizeContainer();
var pos=$telerik.getLocation(_41);
this._mouseStartX=e.clientX;
this._mouseStartY=e.clientY;
this._handlerStartLeftPos=pos.x;
this._handlerStartTopPos=pos.y;
this._currentDelta=0;
this._mouseUpResizeHandler=Function.createDelegate(this,this._resizeSlidePane_OnMouseUp);
this._mouseMoveResizeHandler=Function.createDelegate(this,this._resizeSlidePane_OnMouseMove);
$addHandler(document,"mouseup",this._mouseUpResizeHandler);
$addHandler(document,"mousemove",this._mouseMoveResizeHandler);
this._resizeMode=true;
return false;
},_resizeSlidePane_OnMouseUp:function(e){
$telerik.cancelRawEvent(e);
$removeHandler(document,"mouseup",this._mouseUpResizeHandler);
$removeHandler(document,"mousemove",this._mouseMoveResizeHandler);
this._resizeMode=false;
if(this._helperBar){
this._helperBar.parentNode.removeChild(this._helperBar);
this._helperBar=null;
}
var _44=this.get_parent();
if(_44.isLeftDirection()||_44.isTopDirection()){
this._currentDelta*=-1;
}
if(!this.get_expanded()){
return false;
}
if(this._currentDelta&&this._currentDelta!=0){
var _45=new Telerik.Web.UI.PaneBeforeResizeEventArgs(this._currentDelta);
this.raiseEvent("beforeResize",_45);
if(!_45.get_cancel()){
var _46=null;
var _47=null;
var _48=_44._isHorizontalSlide();
var _49=this.get_slidingPaneBounds();
if(_48){
_46=_49.width+this._currentDelta;
}else{
_47=_49.height+this._currentDelta;
}
this._setSlidingContainerSize(_46,_47);
var x=this._popupBehavior.get_x();
var y=this._popupBehavior.get_y();
if(_44.isLeftDirection()){
x-=this._currentDelta;
}else{
if(_44.isTopDirection()){
y-=this._currentDelta;
}
}
this._show(x,y);
var _4c=this.get_width();
var _4d=this.get_height();
if(_48){
this.set_width(_46);
}else{
this.set_height(_47);
}
this.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_4c,_4d));
this._callRadResize();
}
}
return false;
},_resizeSlidePane_OnMouseMove:function(e){
e.preventDefault();
e.stopPropagation();
var _4f=this.get_parent()._isHorizontalSlide();
this._resizeMode=true;
var _50=150;
if(!this._helperBar){
var _51=document.createElement("TABLE");
_51.className=this.get_splitter().getContainerElement().className;
_51.style.borderCollapse="separate";
_51.cellSpacing=_50;
_51.cellPadding=0;
_51.style.borderWidth="0px";
_51.style.background="";
var _52=document.createElement("TBODY");
_51.appendChild(_52);
var TR=document.createElement("TR");
_52.appendChild(TR);
var TD=document.createElement("TD");
TR.appendChild(TD);
var _55=document.createElement("DIV");
_55.className="helperBarSlideDrag";
TD.appendChild(_55);
_51.style.position="absolute";
_51.style.left=this._handlerStartLeftPos-_50+"px";
_51.style.top=this._handlerStartTopPos-_50+"px";
this._helperBar=document.body.insertBefore(_51,document.body.firstChild);
var _56=this.get_parentPane();
if(_4f){
$telerik.setOuterHeight(_55,_56.get_height());
$telerik.setOuterWidth(_55,3);
}else{
$telerik.setOuterWidth(_55,_56.get_width());
$telerik.setOuterHeight(_55,3);
}
this._helperBarDecoration=_55;
}
var _57=(_4f)?e.clientX-this._mouseStartX:e.clientY-this._mouseStartY;
var _58=false;
if(_57<((-1)*this._maxDecreaseDelta)){
_58=true;
_57=this._maxDecreaseDelta*(-1);
}
if(_57>this._maxIncreaseDelta){
_58=true;
_57=this._maxIncreaseDelta;
}
if(this._resizeStep>0){
_57-=_57%this._resizeStep;
}
this._helperBarDecoration.className=(_4f)?"helperBarSlideDrag":"helperBarSlideDragHorizontal";
var _59=(_4f)?"w-resize":"n-resize";
this._helperBarDecoration.style.cursor=_59;
if(_4f){
this._helperBar.style.left=this._handlerStartLeftPos+_57-_50+"px";
}else{
this._helperBar.style.top=this._handlerStartTopPos+_57-_50+"px";
}
this._helperBar.style.zIndex=this.get_element().style.zIndex+1;
this._helperBar.style.cursor=_59;
this._currentDelta=_57;
if(_58){
if(this._helperBarDecoration){
this._helperBarDecoration.className="helperBarSlideError";
}
}
return false;
},_slidingContainer_OnMouseOut:function(e){
if(this.get_docked()){
return;
}
if(this._resizeMode){
return;
}
if(!this.get_expanded()){
return;
}
if(this._isMouseInPaneRectangle(e)){
return;
}
var _5b=this;
var f=function(){
var _5d=_5b.get_parent();
_5d._paneTabInMover=null;
_5d.collapsePane(_5b.get_id());
};
var _5e=this.get_parent();
window.clearTimeout(_5e._paneTabMoutTimeout);
_5e._paneTabMoutTimeout=window.setTimeout(f,1000);
},_slidingContainer_OnMouseOver:function(e){
if(this.get_docked()){
return;
}
if(this._resizeMode){
return;
}
window.clearTimeout(this.get_parent()._paneTabMoutTimeout);
},_dockElement_OnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
if(!this.get_expanded()){
return;
}
var _61=this.get_parent();
if(!_61.collapsePane(this.get_id(),true)){
return;
}
_61.dockPane(this.get_id());
this.getDockIconElement().className="slideHeaderDockIcon";
},_dockElement_OnMouseOver:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getDockIconElement().className="slideHeaderDockIconOver";
},_dockElement_OnMouseOut:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getDockIconElement().className="slideHeaderDockIcon";
},_undockElement_OnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
if(!this.get_docked()){
return;
}
this.get_parent().undockPane(this.get_id());
},_undockElement_OnMouseOver:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getUndockIconElement().className="slideHeaderUndockIconOver";
},_undockElement_OnMouseOut:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getUndockIconElement().className="slideHeaderUndockIcon";
},_collapseElement_OnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
if(!this.get_expanded()){
return;
}
var _68=this.get_parent();
_68._paneTabInMover=null;
_68.collapsePane(this.get_id());
},_collapseElement_OnMouseOver:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getCollapseIconElement().className="slideHeaderCollapseIconOver";
},_collapseElement_OnMouseOut:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getCollapseIconElement().className="slideHeaderCollapseIcon";
},_callRadResize:function(){
Telerik.Web.UI.CallRadResize(this.getContentContainer());
},_callRadShow:function(){
Telerik.Web.UI.CallRadShow(this.getContentContainer());
},_expandSlidingContainer:function(_6b){
var _6c=this.get_element();
var _6d=_6c.parentNode;
var _6e=this.get_slidingPaneBounds();
_6d.style.width=_6e.width+"px";
_6d.style.height=_6e.height+"px";
var _6f=this.get_pane();
var pos=23;
var _71=false;
var _72=this.get_parent();
if(_72.isLeftDirection()){
pos=21;
_71=true;
}else{
if(_72.isBottomDirection()){
pos=32;
}else{
if(_72.isTopDirection()){
pos=12;
_71=true;
}
}
}
if(this._animation){
this._animation.stop();
}
this._animation=new Telerik.Web.UI.Animations.SlideAnimation(this,0.1,null,_6d,pos,null);
this._animation.onShowStart=function(){
var _73=this.controller.get_slidingPaneBounds();
if(!$telerik.isIE&&_71){
_6c.style.display="none";
_6d.style.border="1px solid black";
_6d.style.borderColor=$telerik.getCurrentStyle(this.controller.get_pane(),"borderRightColor");
}
this.set_endBounds(_73);
};
this._animation.onEnd=function(){
if(!$telerik.isIE&&_71){
_6c.style.display="";
_6d.style.border="";
}
if($telerik.getVisible(_6d)){
this.controller._showOverlayElement(true);
}
};
this._showOverlayElement(false);
this._animation.play();
},_collapseSlidingContainer:function(){
this._hideSlidingContainer();
try{
this._animation.stop();
}
catch(e){
}
this.raiseEvent("collapsed",new Telerik.Web.UI.PaneCollapsedEventArgs());
},_setSlidingContainerSize:function(_74,_75){
var _76=this.get_parent();
var _77=_76.getTabsContainer();
var _78=$telerik.getBounds(_77);
if(_74==null){
_74=(_76._isHorizontalSlide())?this.get_width():_78.width;
}
if(_75==null){
_75=(_76._isVerticalSlide())?this.get_height():_78.height;
}
var _79=this.get_element();
_79.style.width=_74+"px";
_79.style.height=_75+"px";
var _7a=this._getWrapperElement();
_7a.style.width=_74+"px";
_7a.style.height=_75+"px";
var _7b=this.getContentContainer();
_7b.style.display="none";
var _7c=_7b.parentNode;
var _7d=_79.getElementsByTagName("TABLE")[0];
_7d.style.display="none";
var _7e=_79.offsetHeight;
_7d.style.display="";
_7d.style.height=_7e+"px";
_7c.style.height="100%";
_7c.vAlign="top";
var _7f=this.getSlidingContainerTitle();
var _80=parseInt(_7f.parentNode.offsetHeight,10);
var _81=_7c.offsetHeight;
if(!$telerik.isFirefox){
_81-=_80;
}
_7c.style.height="";
_7b.style.display="";
_7b.style.height=_81+"px";
this._fixIeHeight(_7b,_81);
},_showSlidingContainer:function(){
var _82=this.get_element();
$telerik.setVisible(_82,true);
var _83=_82.parentNode;
$telerik.setVisible(_83,true);
},_hideSlidingContainer:function(){
var _84=this.get_element();
$telerik.setVisible(_84,false);
var _85=_84.parentNode;
$telerik.setVisible(_85,false);
this._showOverlayElement(false);
},_dockSlidingContainer:function(){
var _86=this.get_element();
_86.style.position="static";
this._showOverlayElement(false);
this._getWrapperElement().style.position="";
_86.firstChild.className="slideContainerDocked";
},_unDockSlidingContainer:function(){
var _87=this.get_element();
_87.style.position="absolute";
this._showOverlayElement(true);
var _88=this._getWrapperElement();
_88.style.position="absolute";
_88.style.top="";
_88.style.left="";
_87.firstChild.className="slideContainer";
},_setSlidingContainerResizable:function(_89){
var _8a=this.getSlidingPaneResizeContainer();
_8a.style.display=(_89)?"":"none";
},_setIconsExpandedState:function(){
this._hideAllIcons();
this.getDockIconWrapperElement().style.display=(this.get_enableDock())?"":"none";
this.getDockIconElement().className="slideHeaderDockIcon";
this.getCollapseIconWrapperElement().style.display="";
},_setIconsDockedState:function(){
this._hideAllIcons();
this.getUnDockIconWrapperElement().style.display="";
this.getUndockIconElement().className="slideHeaderUndockIcon";
},_hideAllIcons:function(){
this.getDockIconWrapperElement().style.display="none";
this.getUnDockIconWrapperElement().style.display="none";
this.getCollapseIconWrapperElement().style.display="none";
},_getTitleContainerElement:function(){
return $get("RAD_SLIDING_PANE_TEXT_"+this.get_id());
},_dock:function(){
this._setIconsDockedState();
this._setSlidingContainerResizable(false);
this._dockSlidingContainer();
this._showSlidingContainer();
this._setSlidingContainerSize();
this.get_element().parentNode.style.width=this.get_width()+"px";
this._callRadShow();
this._isExpanded=false;
this._isDocked=true;
},_undock:function(){
this._isExpanded=false;
this._isDocked=false;
this._hideSlidingContainer();
},_expand:function(){
var _8b=this.get_parent().getTabsContainer();
var _8c=this.get_element().parentNode;
if(!this._popupBehavior){
this._popupBehavior=$create(Telerik.Web.PopupBehavior,{"id":(new Date()-100)+"PopupBehavior","parentElement":_8b,"keepInScreenBounds":false},null,null,_8c);
}
this._unDockSlidingContainer();
var _8d=this.get_slidingPaneBounds();
var _8e=$telerik.getBounds(_8b);
var x=0;
var y=0;
var _91=this.get_parent();
if(_91.isRightDirection()){
x=_8e.width;
if($telerik.isIE){
var _92=$telerik.getCurrentStyle(_8b,"borderRightWidth");
if(_92&&!isNaN(parseInt(_92))){
x-=Math.floor(parseInt(_92)/2);
}
}
}else{
if(_91.isLeftDirection()){
x=-_8d.width;
}else{
if(_91.isBottomDirection()){
y=_8e.height;
if($telerik.isIE){
var _93=$telerik.getCurrentStyle(_8b,"borderBottomWidth");
if(_93&&!isNaN(parseInt(_93))){
y-=Math.floor(parseInt(_93)/2);
}
}
}else{
if(_91.isTopDirection()){
y=-_8d.height;
}
}
}
}
this._setSlidingContainerResizable(this.get_enableResize());
this._setIconsExpandedState();
this._show(x,y);
this._expandSlidingContainer(this.get_width());
this._isExpanded=true;
this._isDocked=false;
},_collapse:function(){
this._isExpanded=false;
this._isDocked=false;
this._collapseSlidingContainer();
},_isMouseInPaneRectangle:function(e){
var _95=this.get_element();
var _96=_95.offsetWidth;
var _97=_95.offsetHeight;
var pos=$telerik.getLocation(_95);
var _99=pos.x;
var _9a=pos.y;
var _9b=e.clientX;
var _9c=e.clientY;
if(_9b==-1||_9c==-1){
return true;
}
var _9d=(_99<=_9b&&(_99+_96)>=_9b&&_9a<=_9c&&(_9a+_97)>=_9c);
return _9d;
},saveClientState:function(){
var _9e={};
var _9f=["width","height","title","enableResize","minWidth","maxWidth","minHeight","maxHeight","enableDock"];
for(var i=0;i<_9f.length;i++){
_9e[_9f[i]]=this["get_"+_9f[i]]();
}
return Sys.Serialization.JavaScriptSerializer.serialize(_9e);
},_getWrapperElement:function(){
return this.get_element().parentNode;
},_getOverlayElement:function(){
return this._getWrapperElement()._hideWindowedElementsIFrame;
},_showOverlayElement:function(_a1){
var _a2=this._getOverlayElement();
if(!_a2){
return;
}
_a2.style.display=_a1?"":"none";
}};
$telerik.makeCompatible(Telerik.Web.UI.RadSlidingPane);
Telerik.Web.UI.RadSlidingPane.registerClass("Telerik.Web.UI.RadSlidingPane",Telerik.Web.UI.SplitterPaneBase);

